Dart 1.8 发布,首次支持枚举类型

  • 李士窑

2014 年 12 月 2 日

话题:数据库Google语言 & 开发架构

Dart 是 Google 于 2011 年发布的一门开源编程语言,旨在帮助开发者克服 JavaScript 的缺点。近日,Dart 1.8版本发布,该版本是一个稳定版本,其最大的亮点是实现了对枚举类型的支持, 同时包括对大量 library 的改进。该版本主要的改进包括:

  • 实现了对枚举类型的支持
  • 在 dart:collection 中,为 SplayTree 添加了 toSet() 方法,为 dart:convert 添加了一个 JsonUtf8Encoder 工具类
  • 为 dart:core 添加了三个特性:为 RangeError 添加了新的属性和构造函数;新增了 IndexError 类,可由 RangeError.index 的构造函数调用;为 String.fromCharCodes 的构造函数新增了开始和结束参数。
  • 实现了 dart:io 对客户端和服务器端 TLS 安全网络协议的 ALPN 扩展的支持

在 Dart Editor 中通过点击 Tools > Preferences > Experimental 这些菜单,读者能够看到“Enable Enums Support”选项,然后就可以开始体验 Dart 的枚举,代码如下图所示:

读者还可以在 Dart Editor 中的通过“关于 Dart Editor”菜单进行更新。更多Dart 1.8的更新内容,请查看发行说明,感兴趣的读者也可以下载该版本并加以尝试。

Hack News上也有了 Dart 1.8 版本发布的相关评论,用户pacala评论到

每天都有新的语言发布,但是 Dart 是一个简洁、新型、快速和准备推出强大标准 library 的语言,其开发团队是非常强大的,汇聚了该领域的许多专家。他还指出代数数据类型在早已经出现,并成为了编程的逻辑基础,但是为什么直到今年才实现了这些数据类型的支持呢?


感谢郭蕾对本文的审校。

给 InfoQ 中文站投稿或者参与内容翻译工作,请邮件至editors@cn.infoq.com。也欢迎大家通过新浪微博(@InfoQ)或者腾讯微博(@InfoQ)关注我们,并与我们的编辑和其他读者朋友交流。

数据库Google语言 & 开发架构